Deep Security Manager REST API

Path: / rest / tenants / name / {tName}

Retrieve a tenant by name.

Path parameters:
tName - The name of the tenant to update.

Method Summary
ResourceDescription
PUT /rest/tenants/name/{tName}Update a tenant's information.
GET /rest/tenants/name/{tName}?sID=…Retrieve a tenant by name.
DELETE /rest/tenants/name/{tName}?sID=…Delete a tenant by name.

Method Detail
HTTP Example:
PUT /rest/tenants/name/{tName}

API Example:

ITenantAPI.updateTenant({'tName': /* tenantName The name of the tenant to update. */,
  '$entity': /* updateTenantRequest */});

Update a tenant's information.

Input:
UpdateTenantRequest
Output:
UpdateTenantResponse - A response with status 200 OK and a body containing response information when updating the tenant succeeds. If tenant name is null or empty, or an attempt is made to modify the name, it will return a response with status 400 Bad Request and a body containing an ErrorMessage. If the tenant does not exist, it will return a response with status 404 Not Found.
Produces:
application/xml
application/json
Consumes:
application/xml
application/json
HTTP Example:
GET /rest/tenants/name/{tName}?sID=…

API Example:

ITenantAPI.getTenant({'sID': /* sID session ID. */,
  'tName': /* tenantName The tenant's name */});

Retrieve a tenant by name.

Output:
TenantElement - The tenant's information.
Query parameters:
sID - session ID.
Produces:
application/xml
application/json
HTTP Example:
DELETE /rest/tenants/name/{tName}?sID=…

API Example:

ITenantAPI.deleteTenant({'sID': /* sID session ID. */,
  'tName': /* tenantName The name of the tenant to delete. */});

Delete a tenant by name.

Output:
DeleteTenantResponse - A response with status 200 OK and a body containing response information when deletion succeeds. If the tenant does not exist, it will return a response with status 404 Not Found and a body containing an ErrorMessage.
Query parameters:
sID - session ID.
Produces:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.